## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate drm-sys

Name:           rust-drm-sys
Version:        0.6.1
Release:        %autorelease
Summary:        Bindings to the Direct Rendering Manager API

License:        MIT
URL:            https://crates.io/crates/drm-sys
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          drm-sys-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * regenerate bindings by default
# * temporarily downgrade bindgen to 0.68.1
Patch:          drm-sys-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Bindings to the Direct Rendering Manager API.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libdrm)

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bindgen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bindgen-devel %{_description}

This package contains library source intended for building other packages which
use the "bindgen" feature of the "%{crate}" crate.

%files       -n %{name}+bindgen-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pkg-config-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pkg-config-devel %{_description}

This package contains library source intended for building other packages which
use the "pkg-config" feature of the "%{crate}" crate.

%files       -n %{name}+pkg-config-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+update_bindings-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libdrm)

%description -n %{name}+update_bindings-devel %{_description}

This package contains library source intended for building other packages which
use the "update_bindings" feature of the "%{crate}" crate.

%files       -n %{name}+update_bindings-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+use_bindgen-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libdrm)

%description -n %{name}+use_bindgen-devel %{_description}

This package contains library source intended for building other packages which
use the "use_bindgen" feature of the "%{crate}" crate.

%files       -n %{name}+use_bindgen-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(libdrm)'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jan 29 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 18 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.6.1-1
- Update to 0.6.1; Fixes: RHBZ#2240196

* Sun Jul 23 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0.4.0-1
- Initial import; Fixes: RHBZ#2224814
## END: Generated by rpmautospec
